SUMMARY = "Initialize the system for FOFB application"
SECTION = "opt"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

# RC script
INITSCRIPT_NAME = "fofb-init.sh"
INITSCRIPT_PARAMS = "start 50 2"
inherit update-rc.d

SRC_URI = " file://fofb-init.sh"
SRC_URI += " file://configuration
SRC_URI += " file://fpgaversion.sh"

RDEPENDS_${PN}=" fpga-manager-script bash"

FILES_${PN}+="/etc/init.d/fofb-init.sh"

do_install() {
    install -d ${D}/etc/init.d/
    install -m 0755 ${WORKDIR}/fofb-init.sh ${D}/etc/init.d/fofb-init.sh

    # Write default configuration
    install -d ${D}/opt/fofb/cfg/
    install -m 0666 ${WORKDIR}/configuration ${D}/opt/fofb/cfg/configuration

    # Add FPGA version reader
    install -d ${D}/usr/bin/
    install -m 0755 ${WORKDIR}/fpgaversion.sh ${D}/usr/bin/fpgaversion
}
